Get accumulated asset cost over a time window
Retrieve accumulated asset cost v2
curl --request GET \
--url https://mycluster.domino.tech/api/cost/v2/asset/accumulated \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/cost/v2/asset/accumulated"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/cost/v2/asset/accumulated', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"adjustment": 123,
"assetProperties": {},
"assetType": "<string>",
"byte": {
"breakdown": {
"idle": 123,
"other": 123,
"system": 123,
"user": 123
},
"count": 123,
"hours": 123,
"hoursUsed": 123,
"usageMax": 123
},
"cpu": {
"breakdown": {
"idle": 123,
"other": 123,
"system": 123,
"user": 123
},
"coreHours": 123,
"cores": 123,
"cost": 123
},
"discount": 123,
"end": "<string>",
"gpu": {
"cost": 123,
"count": 123,
"hours": 123
},
"key": {},
"labels": {
"instance": "<string>",
"job": "<string>",
"label_dominodatalab_com_domino_node": "<string>",
"label_dominodatalab_com_node_pool": "<string>"
},
"minutes": 123,
"overhead": {
"CpuOverheadFraction": 123,
"OverheadCostFraction": 123,
"RamOverheadFraction": 123
},
"preemptible": 123,
"ram": {
"breakdown": {
"idle": 123,
"other": 123,
"system": 123,
"user": 123
},
"byteHours": 123,
"bytes": 123,
"cost": 123
},
"start": "<string>",
"storage": {
"claimName": "<string>",
"claimNamespace": "<string>",
"class": "<string>",
"nodeType": "<string>",
"pool": "<string>",
"volumeName": "<string>"
},
"totalCost": 123,
"window": {
"end": "<string>",
"start": "<string>"
}
}
]
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Query Parameters
Duration of time over which to query. Accepts words like today, week, month, yesterday, lastweek, lastmonth; durations like 30m, 12h, 7d, or time like 2021-03-10T00:00:00Z,2021-03-11T00:00:00Z
Aggregate the cost allocation. Accepts kubecost aggregates cluster, namespace, pod, deployment, service, daemonset, statefulset, job, cronjob, replicaset, node, container, pv, pvc, storageclass, cluster
Interval to accumulate the costs. Accepts hour, day, week
filter the result by the kubecost filter like cluster, namespace, pod, deployment, service, daemonset, statefulset
Max number of rows to fetch. Defaults to 1000.
How many rows from the start to skip. Defaults to 0.
Response
Success
Show child attributes
Show child attributes
Related topics
Get the asset cost over a time windowGet accumulated cost allocation over a time windowGet accumulated cost allocation summary over a time windowGet the cost allocation summary over a time windowWas this page helpful?
